GlobalResourcesLifecycleListener (Tomcat API Documentation)
Keywords: org.apache.catalina.mbeans.GlobalResourcesLifecycleListener class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.mbeans
Class GlobalResourcesLifecycleListener

    java.lang.Object
      org.apache.catalina.mbeans.GlobalResourcesLifecycleListener

All Implemented Interfaces:
  LifecycleListener

    public class GlobalResourcesLifecycleListener

extends java.lang.Object
implements LifecycleListener

Implementation of `LifecycleListener` that instantiates the set of MBeans associated with global JNDI resources that are subject to management.

Since:
  4.1
Version:
  $Revision: 467222 $ $Date: 2006-10-24 05:17:11 +0200 (Tue, 24 Oct 2006) $
Author:
  Craig R. McClanahan

Field Summary
`protected Lifecycle` | `component` The owning Catalina component that we are attached to.
`protected static Registry` | `registry` The configuration information registry for our managed beans.

Constructor Summary
`GlobalResourcesLifecycleListener()`

Method Summary
`protected void` | `createMBeans()` Create the MBeans for the interesting global JNDI resources.
`protected void` | `createMBeans(java.lang.String prefix, javax.naming.Context context)` Create the MBeans for the interesting global JNDI resources in the specified naming context.
`protected void` | `createMBeans(java.lang.String name, UserDatabase database)` Create the MBeans for the specified UserDatabase and its contents.
`protected void` | `destroyMBeans()` Destroy the MBeans for the interesting global JNDI resources.
`void` | `lifecycleEvent(LifecycleEvent event)` Primary entry point for startup and shutdown events.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### component

    protected Lifecycle component

  The owning Catalina component that we are attached to.

### registry

    protected static Registry registry

  The configuration information registry for our managed beans.

Constructor Detail

### GlobalResourcesLifecycleListener

    public GlobalResourcesLifecycleListener()

Method Detail

### lifecycleEvent

    public void lifecycleEvent(LifecycleEvent event)

  Primary entry point for startup and shutdown events.

  Specified by:
    `lifecycleEvent` in interface `LifecycleListener`
  Parameters:
    `event` - The event that has occurred

### createMBeans

    protected void createMBeans()

  Create the MBeans for the interesting global JNDI resources.

### createMBeans

    protected void createMBeans(java.lang.String prefix,
                                javax.naming.Context context)
                         throws javax.naming.NamingException

  Create the MBeans for the interesting global JNDI resources in the specified naming context.

  Parameters:
    `prefix` - Prefix for complete object name paths
    `context` - Context to be scanned
  Throws:
    `javax.naming.NamingException` - if a JNDI exception occurs

### createMBeans

    protected void createMBeans(java.lang.String name,
                                UserDatabase database)
                         throws java.lang.Exception

  Create the MBeans for the specified UserDatabase and its contents.

  Parameters:
    `name` - Complete resource name of this UserDatabase
    `database` - The UserDatabase to be processed
  Throws:
    `java.lang.Exception` - if an exception occurs while creating MBeans

### destroyMBeans

    protected void destroyMBeans()

  Destroy the MBeans for the interesting global JNDI resources.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.